# OS_NS_sys_socket.inl File Reference

`#include "ace/OS_NS_errno.h"`
`#include "ace/OS_NS_macros.h"`
`#include "ace/OS_NS_sys_uio.h"`
`#include "ace/OS_NS_stdio.h"`
`#include "ace/OS_QoS.h"`
`#include "ace/Global_Macros.h"`
`#include "ace/os_include/netinet/os_in.h"`

Include dependency graph for OS_NS_sys_socket.inl:

This graph shows which files directly or indirectly include this file:

## Variables

ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef const char * | ACE_SOCKOPT_TYPE1

## Variable Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef const char* ACE_SOCKOPT_TYPE1